package com.vetti.hotake.mapper;

import java.util.List;
import com.vetti.hotake.domain.HotakeCvInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 简历信息Mapper接口
 * 
 * @author wangxiangshun
 * @date 2025-11-02
 */
public interface HotakeCvInfoMapper 
{
    /**
     * 查询简历信息
     * 
     * @param id 简历信息主键
     * @return 简历信息
     */
    public HotakeCvInfo selectHotakeCvInfoById(Long id);

    /**
     * 查询简历信息列表
     * 
     * @param hotakeCvInfo 简历信息
     * @return 简历信息集合
     */
    public List<HotakeCvInfo> selectHotakeCvInfoList(HotakeCvInfo hotakeCvInfo);

    /**
     * 新增简历信息
     * 
     * @param hotakeCvInfo 简历信息
     * @return 结果
     */
    public int insertHotakeCvInfo(HotakeCvInfo hotakeCvInfo);

    /**
     * 修改简历信息
     * 
     * @param hotakeCvInfo 简历信息
     * @return 结果
     */
    public int updateHotakeCvInfo(HotakeCvInfo hotakeCvInfo);

    /**
     * 删除简历信息
     * 
     * @param id 简历信息主键
     * @return 结果
     */
    public int deleteHotakeCvInfoById(Long id);

    /**
     * 批量删除简历信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHotakeCvInfoByIds(Long[] ids);
    /**
     * 批量新增简历信息
     *
     * @param hotakeCvInfoList 简历信息列表
     * @return 结果
     */
    public int batchInsertHotakeCvInfo(List<HotakeCvInfo> hotakeCvInfoList);


    /**
     * 删除简历信息
     *
     * @param userId 用户信息ID
     * @return 结果
     */
    public int deleteHotakeCvInfoByUserIdAndType(@Param("userId") Long userId,@Param("cvFileType") String cvFileType);

}
